Subject: Re: bug#64536: 30.0.50; Make cl-print put buttons on ellipses

From: Ihor Radchenko <[email-masked]>
Date: Sun, 13 Aug 2023 09:26:41 +0000

Stefan Monnier <[email-masked]> writes:

>> However, other users of `backtrace-ellipsis' button may be affected if
>> they used it for different purposes.
>
> That's also what I thought at first, but the case of `inspect.el` made
> me realize that it's likely that just letting them use
> `backtrace-ellipsis` button is often not the right solution anyway.

I am pretty sure that some uses of `backtrace-ellipsis' have nothing to
do with printing Elisp values. At least, there is no reason why they
should be limited to.

>> May it be possible to create an obsolete alias for this button type?
>
> And I don't think we have such aliases.

May it be added?

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>